Skip to main content

Azure credentials - Update

Update Azure credentials into a specified project.

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials/{id}

URI Parameters​

NameInRequiredTypeDescription
envUripathtruestringHost name used in these examples: obs.apibackbone.orange.com.
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
idpathtruestringUUID of the Azure credential record in Evolution Platform.

Request Body​

NameRequiredTypeDescription
namefalsestringAzure credential name.
descriptionfalsestringAzure credential description.
subscriptionIdfalsestringAzure subscription identifier.
tenantIdfalsestring (UUID)Azure tenant identifier.
clientIdfalsestring (UUID)Azure application/client identifier.
clientSecretfalsestringSecret used by the application to authenticate to Azure.
expirationDatefalsestring (date)Expiration date.

Responses​

NameTypeDescription
200 OKCredentialsPATCH successful. The operation returns the updated credentials.
Other Status CodesError responseError response describing why the operation failed.

Response content​

NameTypeDescription
iduuidIdentifier of the azure credential in Evolution Platform
projectIdstringIdentifier of the project in Evolution Platform
namestringName of the azure credential in Evolution Platform
cspstringName of the Cloud Service Provider (CSP)
descriptionstringDescription of the azure credential
projectNamestringName of the project in Evolution Platform
expirationDatestringThe expiration date of the authentication token or client secret.

Security​

Type: HTTP Bearer

Token format: JWT

Header: Authorization: Bearer YOUR_ACCESS_TOKEN

Examples​

Request​

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials/{id}

{
"name":"CredentialsAzure",
"description":"This set of credentials allow provisionning on Azure",
"subscriptionId": "YOUR_SUBSCRIPTION_ID",
"tenantId": "YOUR_TENANT_UUID",
"clientId": "YOUR_CLIENT_UUID",
"clientSecret": "YOUR_CLIENT_SECRET",
"expirationDate":"2027-01-31"
}

Sample response​

Status code: 200 (OK)

{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}